Bug 991017 - A new package directory contains dots instead of a hierarchy of directories
A new package directory contains dots instead of a hierarchy of directories
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: manstis
Ivo Bek
Depends On:
  Show dependency treegraph
Reported: 2013-08-01 08:08 EDT by Ivo Bek
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:16:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-08-01 08:08:07 EDT
Description of problem:

When I create a new package with name "com.xyz.abc", I suppose that it will create hierarchy of directories like src/main/resources/com/xyz/abc but it will create just a directory src/main/resources/com.xyz.abc instead.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 manstis 2013-08-01 08:30:59 EDT
This has been fixed already (before this BZ was raised).

See: https://github.com/droolsjbpm/guvnor/commit/8a5eb3044b545f481dcc76b75791aa9ba688dce7#L2R392
Comment 4 Ivo Bek 2013-09-09 05:28:36 EDT
BZ 1005722 has been filed but a package containing dots is now being created the same way as with slashes. This behavior was verified in BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.